# Lmao I wrote this while I was drunk.

import sys

def parse_command_line(argv):
    if(len(argv) == 1):
        print('Default value: 5')
        return 5

    elif(len(argv) > 2):
        print('Too many arguments!')
        return 0
    
    else:
        try:
            num = int(argv[1])
            return num
            
        except Exception as e:
            print(str(e))
            print('Non-integer input.')
            return 0

    return int(argv[1])

def fibonacci(n):
    if(n > 0):
        f = [1, 0]
        for i in range(n):
            print(f[0] + f[1])
            if(i%2 == 1):
                f[1] = f[0] + f[1]
            else:
                f[0] = f[0] + f[1]
            
def main(argv):
    num = parse_command_line(argv)
    fibonacci(num)

main(sys.argv)